import Vue from 'vue'
import ElementUI from 'element-ui';
// import '../theme/index.css'
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import store from './store'
import vueModuleLoader from 'vue-module-loader'
import localModule from './module'
import './assets/css/reset.scss'
import echarts from "echarts";
import moment from 'moment'
import VueAMap from 'vue-amap'

moment.locale('zh-cn');  // 汉化
Vue.prototype.$echarts = echarts
Vue.prototype.$moment = moment;

Vue.use(VueAMap)
Vue.use(vueModuleLoader, { store }).use(ElementUI);

VueAMap.initAMapApiLoader({
	key: '89472e3ecbff0eb8b53bafd80959a480',
	plugin: ['AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.PlaceSearch', 'AMap.Autocomplete', 'AMap.Geolocation', 'AMap.Geocoder'],
	v: '1.4.4',
	uiVersion: '1.0'
})

const app = new Vue({
	router,
	store,
	render: h => h(App)
})

app.$moduleLoader(localModule)
app.$mount('#app')
